<?php

$selfdir=dirname(__FILE__);
$dirExternal="external";
$dirBuild="build";
$dirPackages="built_packages";

// ---------- build with spc

// php version for spc
$php_version="8.3";

// extensions - see https://static-php.dev/en/guide/extensions.html
$php_libs="mysqli,openssl,pdo,pdo_mysql,pdo_pgsql,pdo_sqlite,sockets";

// TODO: how can it be dynamic?
$myarchitecture="x86_64";
// $myarchitecture="aarch64";

$myos=strtolower(PHP_OS);

// TODO: check value on MS Windows
switch ($myos) {
    case 'cygwin_nt-5.1':
    case 'windows':
    case 'winnt':
        $myos="windows";
        $myarchitecture="x64";
        break;
    case 'win32':
        $myos="win";
        $myarchitecture="i386";
        break;
    case 'darwin':
        $myos="macos";
        break;
}
$myosextension=$myos=="Win" ? ".exe" : "";

$SPC="$selfdir/$dirExternal/bin/spc$myosextension";
